curl --request GET \
--url https://app.smartsend.io/api/v2/team/{team}/booking-batches \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.smartsend.io/api/v2/team/{team}/booking-batches"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.smartsend.io/api/v2/team/{team}/booking-batches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"uuid": "550e8400-e29b-41d4-a716-446655440001",
"state": "open",
"reference": "<string>",
"identifier": "<string>",
"total_count": 100,
"completed_count": 45,
"failed_count": 2,
"progress": 47,
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"current_page": 1,
"per_page": 100,
"total": 2500,
"last_page": 25,
"from": 1,
"to": 100
}
}{
"message": "Something unexpected happened."
}{
"message": "Something unexpected happened."
}{
"message": "<string>"
}{
"message": "Something unexpected happened."
}{
"message": "Something unexpected happened."
}List batches
Returns a paginated list of batch bookings, sorted by most recent first.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Preferred language(s) for translatable content using BCP 47 language tags. Supports quality values (q-factors) for priority ordering. The API negotiates the best available language based on this header, the team's configured language, and available translations. If omitted, the team's default language is used.
"da-DK, da;q=0.9, en;q=0.8"
Any value passed in this request will be returned in the same header. This can be used to correlate requests between client and server.
1 - 128^[A-Za-z0-9._-]{1,128}$Path Parameters
Team identifier. All resources are scoped to this team.
1"ad9546c1-393e-49a5-9a72-5cc146c9bec5"
Query Parameters
Filter by batch state Current state of the batch booking
open, queued, processing, completed, failed Page number for pagination
x >= 1Number of batches per page
1 <= x <= 1000Was this page helpful?